package kandata.launcher;

import java.awt.Component;
import java.awt.event.*;
import javax.swing.*;


class SiteListMouseListener extends MouseAdapter {
	KandataLauncher launcher;
	SiteListMouseListener(KandataLauncher launcher) {
		this.launcher = launcher;
	}
	/** コンポーネント上でマウスがクリックされると呼び出されます。*/
	public void mouseClicked(MouseEvent e) {
		// 左ダブルクリック
		if (SwingUtilities.isLeftMouseButton(e) && e.getClickCount()==2) {
			launcher.launch();
		}
	}
}
